<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Generate A User</title>
</head>
<style>
    body {
        background: #ae9d8b;
        font-size: 15px;
    }

    .container {
        margin: 0;
        padding: 0;
        text-align: center;

    }

    .wrapper {
        display: inline-block;
        width: 750px;
        padding: 40px;
        background: rgba(255, 255, 255, 0.5);
    }

    .form-container {
        /* display: left; */
        text-align: left;
    }

    .label-text {
        display: inline-block;
        width: 10em;
    }

    .input-style {
        display: inline-block;
        /* background-color; */
        color: maroon;
    }

    fieldset {
        width: 25em;
        margin-left: auto;
        margin-right: auto;
    }

    select {
        width: 150px;
    }
</style>

<body>
    <div class="container">
        <div class="wrapper">
            <form action="generate_account.php" method="post" name="regform">
                <div class="header">
                    <h1>A-1 Information Systems</h1>
                    <hr>
                    <h2>Add an Employee</h2>
                    <hr>
                </div>
                <div class="form-container">
                        <label for="emp_name_first" class="label-text">Employee Name</label>
                        <input type="text" class="input-style" name="emp_name_first" id="emp_name_first" placeholder="First Name" width="32">
                        <input type="text" class="input-style" name="emp_name_mi" id="emp_name_mi" placeholder="Middle Initial" width="4">
                        <input type="text" class="input-style" name="emp_name_last" id="emp_name_last" placeholder="Surname" width="32"><br>   
                        <label for="department" class="label-text">Department</label>
                    <select name="department" id="department">
                        <option value="Marketing">Marketing</option>
                        <option value="Finance">Finance</option>
                        <option value="Operations Management">Operations Management</option>
                        <option value="Human Resource"> Human Resource</option>
                        <option value="IT">IT</option>
                    </select><br>
                    <label for="jobTitle" class="label-text">Job Title</label>
                    <select id="jobTitle" name="jobTitle">
                        <option value="Analyst">Analyst</option>
                        <option value="Specialist">Specialist</option>
                        <option value="Officer">Officer</option>
                        <option value="Manager">Manager</option>
                    </select><br>
                    <label for="deptManager" class="label-text">Department Manager</label>
                    <input type="text" class="input-style" name="deptManager" id="deptManager"><br>
                    <label for="empStatus" class="label-text">Employment Status</label>
                    <select name="empStatus" id="empStatus">
                        <option value="A">A - Active</option>
                        <option value="R">R - Retired</option>
                        <option value="L">L - On Leave of Absence</option>
                        <option value="F">F - Former Employee</option>
                    </select><br>
                </div>
                <hr>
                <div class="form-container">
                    <label for="payAnnualSalary" class="label-text">Annual Salary</label>
                    <input type="text" class="input-style" name="payAnnualSalary" id="payAnnualSalary" onchange="update_hourly()"><br>
                    <label for="payHourlyRate" class="label-text">Hourly Rate</label>
                    <input type="text" class="input-style" name="payHourlyRate" id="payHourlyRate" onchange="update_annual()"><br>
                    <label for="payScheduledHours" class="label-text">Scheduled Hours/Week</label>
                    <input type="text" class="input-style" name="payScheduledHours" id="payScheduledHours" value="40" onchange="update_annual()"><br>
                </div>
                <script>
                function update_hourly(){
                    document.getElementById("payHourlyRate").value = parseFloat(document.getElementById("payAnnualSalary").value/52/document.getElementById("payScheduledHours").value).toFixed(2);
                }
                function update_annual(){
                    if (!document.getElementById("payHourlyRate").value)
                        alert("Please enter an hourly rate.");
                    document.getElementById("payAnnualSalary").value = parseFloat(document.getElementById("payHourlyRate").value*document.getElementById("payScheduledHours").value*52).toFixed(2);
                }
                </script>
                <hr>
                <div class="form-container">
                    <label for="workSite" class="label-text">Work Site</label>
                    <select name="workSite" id="workSite">
                        <option value="ORL">ORL - Orlando, FL</option>
                        <option value="MAR">MAR - Marieta, GA</option>
                        <option value="VF">VF - Valley Forge, PA</option>
                        <option value="SUN">SUN - Sunnyvale, CA</option>
                        <option value="DEN">DEN - Denver, CO</option>
                    </select><br>
                    <label for="workBuilding" class="label-text">Building</label>
                    <input type="text" class="input-style" name="workBuilding" id="workBuilding"><br>
                    <label for="workRoom" class="label-text">Room</label>
                    <input type="text" class="input-style" name="workRoom" id="workRoom"><br>
                    <label for="workMailStop" class="label-text">Mail Stop</label>
                    <input type="text" class="input-style" name="workMailStop" id="workMailStop"><br>
                </div>
                <hr>
                <div class="form-container">
                    <label for="empActivityCode" class="label-text">Employment Activity</label>
                    <select name="empActivityCode" id="empActivityCode">
                        <option value="H">H - Hire</option>
                        <option value="T">T - Termination</option>
                        <option value="L">L - Leave of Absence</option>
                        <option value="R">R - Return from Leave</option>
                        <option value="P">P - Promotion</option>
                    </select><br>
                    <label for="empActivityReason" class="label-text">Activity Reason</label>
                    <textarea class="input-style" name="empActivityReason" id="empActivityReason" rows="4" cols="80"></textarea><br>
                </div>
                <br>
                <button type="submit">Generate</button><br><br>
            </form>
            <a href="http://localhost/admin_functions.html"><button>Back</button></a>
        </div>
    </div>
</body>

</html>